Set socket I/O activity timeout

- « GearmanClient::setStatusCallback

- GearmanClient::setWarningCallback »

- PHP Manual
- GearmanClient
- Set socket I/O activity timeout

# GearmanClient::setTimeout

(PECL gearman >= 0.6.0)

GearmanClient::setTimeout — Set socket I/O activity timeout

### Description

public GearmanClient::setTimeout(int `$timeout`): bool

Sets the timeout for socket I/O activity.

### Parameters

`timeout`

  An interval of time in milliseconds

### Return Values

Always returns `true`.